import request from '@/utils/request'

// 查询验收前期-项目信息-项目成员列表
export function listXmcy(query) {
  return request({
    url: '/ysqqXmxxXmcy/xmcy/list',
    method: 'get',
    params: query
  })
}

// 查询验收前期-项目信息-项目成员详细
export function getXmcy(cyid) {
  return request({
    url: '/ysqqXmxxXmcy/xmcy/' + cyid,
    method: 'get'
  })
}

// 新增验收前期-项目信息-项目成员
export function addXmcy(data) {
  return request({
    url: '/ysqqXmxxXmcy/xmcy',
    method: 'post',
    data: data
  })
}

// 修改验收前期-项目信息-项目成员
export function updateXmcy(data) {
  return request({
    url: '/ysqqXmxxXmcy/xmcy',
    method: 'put',
    data: data
  })
}

// 删除验收前期-项目信息-项目成员
export function delXmcy(cyid) {
  return request({
    url: '/ysqqXmxxXmcy/xmcy/' + cyid,
    method: 'delete'
  })
}
